package employee

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/employee"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /api/employee/detail employee GetApiEmployeeDetail
//
// Get employee by ID | 通过ID获取Employee
//
// Get employee by ID | 通过ID获取Employee
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: EmployeeInfoResp

func GetApiEmployeeDetailHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := employee.NewGetApiEmployeeDetailLogic(r.Context(), svcCtx)
		resp, err := l.GetApiEmployeeDetail(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
